> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiornare i ruoli dei membri dell'organizzazione

> Aggiorna i ruoli dell'organizzazione per membri specifici

Richiede una chiave API personale di un amministratore Enterprise.

Aggiorna i ruoli a livello di organizzazione per uno o più membri all'interno di una specifica organizzazione. Questo endpoint consente di assegnare un nuovo ruolo organizzativo a più utenti contemporaneamente.


## OpenAPI

````yaml it/v2-openapi.yaml PATCH /v2/enterprise/organizations/{org_id}/members/roles
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/members/roles:
    patch:
      tags:
        - organizations
      summary: >-
        Endpoint per l’aggiornamento del ruolo dei membri dell’organizzazione
        Enterprise
      description: >-
        Aggiorna i ruoli di organizzazione per gli utenti disponibili
        nell’Enterprise dell’utente.

        Accetta un elenco di user_id e un role_id.
      operationId: >-
        enterprise_organization_members_role_update_endpoint_v2_enterprise_organizations__org_id__members_roles_patch
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RoleUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: Risposta con esito positivo
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    RoleUpdateRequest:
      properties:
        role_id:
          title: Role Id
          type: string
        user_ids:
          items:
            type: string
          title: User Ids
          type: array
      required:
        - user_ids
        - role_id
      title: RoleUpdateRequest
      type: object
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````